## pbuilder 0.230.2~mx17+1

=== debian/changelog ===
pbuilder (0.230.2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Mar 2019 19:00:56 -0700

pbuilder (0.230.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 13 Mar 2019 17:44:24 +0100

pbuilder (0.230.2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * buildpackage:
    + Fixup the dpkg-dev 1.13.19 check for dpkg-source not supporting
      specifying the extraction directory.  Closes: #918368
      Thanks to Helmut and James for finding the (maybe) best formula.
  * d/control:
    + Bump Standards-Version to 4.3.0, no changes needed.

  [ Helmut Grohne ]
  * modules:
    + Make possible to unpack tarballs that lack dpkg-dev.  MR: !3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Feb 2019 16:42:09 +0100

pbuilder (0.230.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * modules:
    + Add a package_version_is_older_than() function.
  * buildpackage:
    + Support dpkg-dev << 1.13.19 which doesn't support specifying a directory
      where to extract the sources into.  Closes: #854725
    + Keep passing -rfakeroot to dpkg-buildpackage if dpkg is << 1.14.7.
  * checkparams:
    + Use systemd-escape(1) to escape the package name in the slice name.

  [ Thorsten Glaser ]
  * Use long option in the dpkg-query calls, to support sarge's version. MR: !2

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Nov 2018 10:16:00 +0100

pbuilder (0.230) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    + Bump Standards-Version to 4.2.1, no changes needed.
    + Use the new debhelper-compat(=11) notation and drop d/compat.
  * d/rules: Change Ubuntu default DISTRIBUTION to "devel".
  * t: Add regression tests for 54e072c5ebb7d353e674873c96e5d837e52f345c.
  * checkparams:
    + Add a --no-source-only-changes option to override a configured
      SOURCE_ONLY_CHANGES=yes.  Closes: #904716
    + Add more information in the slice name and scope description
      to ease the life of those running many pbuilder instances.
  * buildpackage:
    + Don't explicitly pass -rfakeroot to dpkg-buildpackage.
      dpkg-buildpackage uses it by default if present since v1.14.7, so no
      need to tell it to.  LP: #1206215
    + Unless specified, look for .changes file of the architecture of the
      chroot, not of the host's system.   LP: #1762890
  * modules:
    + Shut down some extra translators in umountproc.  Closes: #912636
      Thanks to Samuel Thibault for the patch.

  [ Thorsten Glaser ]
  * buildpackage:
    + Create consistent /etc/hosts in build chroots with USENETWORK=no.
      Policy 4.2.0 §4.9 explicitly allows loopback access, which is already
      allowed, and we also already clean resolv.con.
      Add a clean hosts file which ships 127.0.0.1 as localhost and ::1 as
      localhost6 to avoid trouble.  See also the policy bug #904248.
      Closes: #905307

  [ Daniel Schepler ]
  * Wrap the chroot calls inside a systemd slice when running on Linux systems
    with systemd.  Closes: #905550
    This allows proper cleanup of stray processes left behind, among easier
    resource control by the system administrator.

  [ James Clarke ]
  * modules: Mount fdescfs under /dev/fd on kFreeBSD.
  * pbuilderrc.5: Update link to the user manual.
  * t/test_pbuilder-apt-config:
    + Fix Ubuntu-related tests on non-Ubuntu architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 09 Nov 2018 13:51:04 +0100

=== debian/control ===
Source: pbuilder
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 James Clarke <jrtc27@debian.org>,
Build-Depends:
 dblatex,
 debconf | debconf-2.0,
 debhelper (>= 10),
 docbook-xsl,
 ldp-docbook-xsl,
 po-debconf,
 po4a,
 xsltproc,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://pbuilder-team.pages.debian.net/pbuilder
Vcs-Git: https://salsa.debian.org/pbuilder-team/pbuilder.git
Vcs-Browser: https://salsa.debian.org/pbuilder-team/pbuilder

Package: pbuilder
Architecture: all
Multi-Arch: foreign
Depends:
 debootstrap | cdebootstrap,
 dpkg-dev (>= 1.17.0),
 ${misc:Depends},
Recommends:
 devscripts,
 eatmydata,
 fakeroot,
 net-tools | iproute2,
 sudo,
Suggests:
 cowdancer,
 gdebi-core,
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot.
 It is an ideal system to use to check
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image.
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

## pbuilder 0.230.4~bpo9+1

=== debian/changelog ===
pbuilder (0.230.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 04 Apr 2019 10:42:52 +0200

pbuilder (0.230.4) unstable; urgency=medium

  * createbuildenv:
    + Only try to print debootstrap.log if the file really exists.
    + Properly handle the case of a disabled internal cache.  Closes: #926115

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Apr 2019 11:32:38 +0200

pbuilder (0.230.3) unstable; urgency=medium

  [ Marcin Sulikowski ]
  * buildpackage-funcs: Fix whitespace handling in .dsc paths.  MR: !4

  [ Hideki Yamane ]
  * createbuildenv:
    + Use packages from APTCACHE during debootstrap.  Closes: #432088; MR: !6
  * doc:
    + Use deb.debian.org as defalut example.  MR: !5
  * pbuilder.8:
    + Mention qemu-debootstrap as a valid --debootstrap option.  MR: !7

  [ Mattia Rizzolo ]
  * modules:
    + Always call `systemctl stop` if using systemd's cgroups, preventing
      stray slices from being left behind.

  [ James Clarke ]
  * buildpackage-funcs:
    + While setting up the cross-build env, only look at installed bin:gcc,
      not all available ones.
    + Print a useful error if GCC version detection fails.
    + Handle minor GCC versions and unversioned GCC dependencies.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Mar 2019 15:44:52 +0100

## pbuilder 0.230.4

=== pbuildd/Makefile ===
PBUILDDDIR=/usr/share/doc/pbuilder/examples/pbuildd/

all:

clean:
	rm -f *~

install:
	install -d $(DESTDIR)$(PBUILDDDIR)
	install -d $(DESTDIR)$(PBUILDDDIR)/hookdir
	install -d $(DESTDIR)/var/cache/pbuilder/pbuildd
	install -m 755 buildd.sh $(DESTDIR)$(PBUILDDDIR)
	install -m 644 buildd-config.sh $(DESTDIR)/etc/pbuilder/
	install -m 755 hookdir/A10dpkg-l.sh $(DESTDIR)$(PBUILDDDIR)/hookdir

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  James Clarke <jrtc27@debian.org>,
 Build-Depends:
  dblatex,
  debconf | debconf-2.0,
- debhelper (>= 10),
+ debhelper-compat (= 11),
  docbook-xsl,
  ldp-docbook-xsl,
  po-debconf,
@@ -25,7 +24,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- debootstrap | cdebootstrap,
+ debootstrap (>= 1.0.97) | cdebootstrap,
  dpkg-dev (>= 1.17.0),
  ${misc:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=devel/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.230.4+10.0trisquel2

=== debian/changelog ===
pbuilder (0.230.4+10.0trisquel2) nabia; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jun 2021 15:12:03 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=nabia/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main"/' -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.230.4+nmu1

=== debian/changelog ===
pbuilder (0.230.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:14:50 +0800

## pbuilder 0.231~bpo10+1

=== debian/changelog ===
pbuilder (0.231~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Jan 2021 01:38:31 +0100

pbuilder (0.231) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * modules:
    + Set the debconf value for man-db/auto-update to false to save time in
      the package installing phase.  Nobody is going to need a refreshed
      man-db in a build chroot.
  * pdebuild:
    + With --auto-debsign try to sign both _${arch}.changes and
      _source.changes if available.  Closes: #932743
  * buildpackage:
    + Allow resolving the local hostname too.
  * bash-completion:
    + Add --binary-indep to the completion.  Closes: #951158
  * e/D65various-compiler-support:
    + shellcheck improvements.
  * pbuilderrc:
    + Default to SOURCE_ONLY_CHANGES=yes.
  * satisfydepends-funcs:
    + Fix parsing of build profiles when there is a << version restriction
      before the build profile marker.  Closes: #961227
      Thanks to Helmut Grohne for the initial patch.
  * autopkgtest:
    + Replace deprecated ADTTMP variable with AUTOPKGTEST_TMP.
    + Properly use of `tr` to lowercase strings.
    + Only delete the temporary directory when not running through autopkgtest.
    + Stop explicitly requiring the archive signing key, since that is very
      likely to already be installed anyway.  This will fix the autopkgtest in
      Debian testing where ubuntu-archive-keyring is not available anymore
      (and never needed anyway).
  * d/control:
    + Bump Standards-Version to 4.5.1, no changes needed.
    + Bump debhelper compat level to 13.
      - d/rules: Use execute_before_dh_clean instead of override_dh_clean.
  * Update my copyright.
  * d/po: Re-encode de.po as UTF-8.
  * Override lintian's executable-in-usr-lib.

  [ Rafael Laboissière ]
  * e/B20autopkgtest:
    + Support autodep8 to check existence of tests.  Closes: #945593; MR: !8

  [ denghu ]
  * pbuilderrc:
    + Change the default value of DEBBUILDOPTS so it'll load the content of an
      equally named environment variable.  MR: !9

  [ Debian Janitor ]
  * Janitor stuff:  MR: !10
    + Use correct machine-readable copyright file URI.
    + Wrap long lines in some old changelog entries.

  [ Hideki Yamane ]
  * e/D65various-compiler-support:
    + Explicitly use /bin/bash since there are bashisms inside.  MR: !11

  [ Jessica Clarke ]
  * modules:
    + Apply devfs rules on kFreeBSD.
  * d/control: Update my name.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Jan 2021 05:19:00 +0100

## pbuilder 0.231

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
- James Clarke <jrtc27@debian.org>,
+ Jessica Clarke <jrtc27@debian.org>,
 Build-Depends:
  dblatex,
  debconf | debconf-2.0,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-xsl,
  ldp-docbook-xsl,
  po-debconf,
  po4a,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://pbuilder-team.pages.debian.net/pbuilder
 Vcs-Git: https://salsa.debian.org/pbuilder-team/pbuilder.git

=== debian/tests/control ===
Tests: unit-tests
Depends: @
Restrictions: allow-stderr

Tests: build-procenv
Depends: @, distro-info, lsb-release
Restrictions: needs-root

## pbuilder 0.231build1

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc
# po4a
# dblatex

# the main XML file which is source to all documents
MASTERXML=pbuilder-doc.xml
MASTERPOT=pbuilder-doc.po
HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html pbuilder-doc.de.html
PDFDOCS = pbuilder-doc.pdf

all: $(MASTERPOT) $(HTMLDOCS) $(PDFDOCS)

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

pbuilder-doc.%.xml: pbuilder-doc.%.po
	po4a-translate -f docbook -m $(MASTERXML) -p $< -l $@ -k 1

pbuilder-doc.%.po: $(MASTERXML)
	po4a-updatepo -f docbook -m $< -p $@ 

%.pdf: %.xml
	# requires dblatex package.
	dblatex --tmpdir=docbuild $<

install: $(HTMLDOCS) $(PDFDOCS)
	install -d -m 755 $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/

$(MASTERPOT):
	po4a-gettextize -f docbook -m $(MASTERXML) -p $(MASTERPOT)

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

clean:
	rm -fv \
		pbuilder-doc.de.po~ \
		pbuilder-doc.fr.po~ \
		pbuilder-doc.ja.po~ \
		pbuilder-doc.pdf \
		pbuilder-doc.glo \
		pbuilder-doc.idx \
		pbuilder-doc.log \
		pbuilder-doc.out \
		pbuilder-doc.aux \
		pbuilder-doc.html \
		pbuilder-doc.de.html \
		pbuilder-doc.fr.html \
		pbuilder-doc.ja.html \
		pbuilder-doc.html.tmp
	$(MAKE) -C debconf7 $@

.PHONY: preview release-netfort release clean

=== debian/changelog ===
pbuilder (0.231build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:00:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Jessica Clarke <jrtc27@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=devel/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
endif

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.231build1trisquel2

=== debian/changelog ===
pbuilder (0.231build1trisquel2) ecne; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 17:35:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=ecne/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main"/' -i pbuilderrc
endif

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.231build1+11.0trisquel2

=== debian/changelog ===
pbuilder (0.231build1+11.0trisquel2) aramo; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 05:05:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.templates
 	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i debian/pbuilder.config
 	sed "s#http://deb.debian.org/debian#http://archive.trisquel.org/trisquel#g" -i pbuilderrc
-	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=ecne/" -i pbuilderrc
+	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=aramo/" -i pbuilderrc
 	sed 's/COMPONENTS="main"/COMPONENTS="main"/' -i pbuilderrc
 endif

## pbuilder 0.231.1

=== Makefile ===
INSTALL = install
INSTALL_DIRECTORY = $(INSTALL) -d -m 0755
INSTALL_FILE = $(INSTALL) -m 0644
INSTALL_EXECUTABLE = $(INSTALL) -m 0755

# semi-standard dirs
DESTDIR :=
SYSCONFDIR := $(DESTDIR)/etc
BINDIR := $(DESTDIR)/usr/bin
PKGLIBDIR := $(DESTDIR)/usr/lib/pbuilder
SBINDIR := $(DESTDIR)/usr/sbin
PKGDATADIR := $(DESTDIR)/usr/share/pbuilder

define newline


endef

NULL :=

ALLDIRS += BASHCOMPLETION
BASHCOMPLETIONDIR := $(PKGDATADIR)/../bash-completion/completions/
BASHCOMPLETION_DATA += \
	bash_completion.d/pbuilder \
	$(NULL)
CHECK_SCRIPTS += bash_completion.d/pbuilder

ALLDIRS += PBUILDERCONF
PBUILDERCONFDIR := $(SYSCONFDIR)/pbuilder
PBUILDERCONF_DATA += \
	$(NULL)

ALLDIRS += BIN
BIN_SCRIPTS += \
	debuild-pbuilder \
	pdebuild \
	$(NULL)

ALLDIRS += PKGLIB
PKGLIB_SCRIPTS += \
	pbuilder-apt-config \
	pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends-apt \
	pbuilder-satisfydepends-aptitude \
	pbuilder-satisfydepends-checkparams \
	pbuilder-satisfydepends-classic \
	pbuilder-satisfydepends-experimental \
	pbuilder-satisfydepends-funcs \
	pbuilder-satisfydepends-gdebi \
	pbuilder-unshare-wrapper \
	pbuilder-updatebuildenv \
	pdebuild-checkparams \
	pdebuild-internal \
	$(NULL)

ALLDIRS += SBIN
SBIN_SCRIPTS += \
	pbuilder \
	$(NULL)

ALLDIRS += EXAMPLE
EXAMPLEDIR := $(DESTDIR)/usr/share/doc/pbuilder/examples
EXAMPLE_DATA += \
	pbuilderrc \
	$(NULL)
CHECK_SCRIPTS += pbuilderrc
EXAMPLE_SCRIPTS += \
	examples/B90lintian \
	examples/B91dpkg-i \
	examples/B92test-pkg \
	examples/C10shell \
	examples/C11screen \
	examples/D10tmp \
	examples/D20addnonfree \
	examples/D65various-compiler-support \
	examples/D80no-man-db-rebuild \
	examples/D90chrootmemo \
	examples/F90chrootmemo \
	examples/B90list-missing \
	examples/B91debc \
	examples/B20autopkgtest \
	examples/execute_installtest.sh \
	examples/execute_paramtest.sh \
	examples/pbuilder-distribution.sh \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER
EXAMPLE_LVMPBUILDERDIR := $(EXAMPLEDIR)/lvmpbuilder
EXAMPLE_LVMPBUILDER_DATA += \
	examples/lvmpbuilder/README \
	examples/lvmpbuilder/STRATEGY \
	$(NULL)
EXAMPLE_LVMPBUILDER_SCRIPTS += \
	examples/lvmpbuilder/lvmbuilder \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER_LIB
EXAMPLE_LVMPBUILDER_LIBDIR := $(EXAMPLE_LVMPBUILDERDIR)/lib
EXAMPLE_LVMPBUILDER_LIB_SCRIPTS += \
	examples/lvmpbuilder/lib/lvmbuilder-checkparams \
	examples/lvmpbuilder/lib/lvmbuilder-modules \
	examples/lvmpbuilder/lib/lvmbuilder-unimplemented \
	$(NULL)

ALLDIRS += EXAMPLE_PBUILDERTEST
EXAMPLE_PBUILDERTESTDIR := $(EXAMPLEDIR)/pbuilder-test
EXAMPLE_PBUILDERTEST_DATA += \
	examples/pbuilder-test/README \
	examples/pbuilder-test/002_sample.c \
	$(NULL)
EXAMPLE_PBUILDERTEST_SCRIPTS += \
	examples/pbuilder-test/000_prepinstall \
	examples/pbuilder-test/001_apprun \
	examples/pbuilder-test/002_libfile \
	examples/pbuilder-test/003_makecheck \
	examples/pbuilder-test/004_ldd \
	$(NULL)

ALLDIRS += EXAMPLE_REBUILD
EXAMPLE_REBUILDDIR := $(EXAMPLEDIR)/rebuild
EXAMPLE_REBUILD_DATA += \
	examples/rebuild/README \
	$(NULL)
EXAMPLE_REBUILD_SCRIPTS += \
	examples/rebuild/buildall \
	examples/rebuild/getlist \
	$(NULL)

ALLDIRS += PKGDATA
PKGDATA_DATA += \
	pbuilderrc \
	$(NULL)
CHECK_SCRIPTS += \
	pbuilderrc \
	$(NULL)

NOINST_MANPAGES += \
	debuild-pbuilder.1 \
	pbuilder.8 \
	pbuilderrc.5 \
	pdebuild.1 \
	$(NULL)
CHECK_MANPAGES += $(NOINST_MANPAGES)

# TODO: check subdirs etc.

CHECK_SCRIPTS += $(foreach d,$(ALLDIRS),$($(d)_SCRIPTS))

all:
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

check: export PBUILDER_CHECKOUT := $(CURDIR)
check:
	# syntax check.
	$(foreach script,$(CHECK_SCRIPTS),bash -n $(script)$(newline))
	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -l $(mp) >/dev/null$(newline))
	# unit tests.
	$(foreach test,$(wildcard ./t/test_*),$(test)$(newline))

full-check:
	# system tests that might take long.
	cd testsuite && ./run-test.sh

clean:
	rm -f *.bak *~ TAGS
	rm -rfv testsuite/testimage \
		testsuite/testbuild \
		testsuite/testbuild2 \
		testsuite/regression/work
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

TAGS:
	etags pbuilder-* pbuilder

define install_dir_impl
$(INSTALL_DIRECTORY) $($(1)DIR)$(newline)
$(foreach file,$($(1)_DATA),$(INSTALL_FILE) $(file) $($(1)DIR)$(newline))
$(foreach script,$($(1)_SCRIPTS),$(INSTALL_EXECUTABLE) $(script) $($(1)DIR)$(newline))
endef

install:
	$(foreach d,$(ALLDIRS),$(call install_dir_impl,$(d)))
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	# install -aptitude flavour as the default satisfydepends
	ln -sf pbuilder-satisfydepends-aptitude $(PKGLIBDIR)/pbuilder-satisfydepends
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

=== Documentation/Makefile ===
--- 
+++ 
@@ -9,11 +9,10 @@
 
 # the main XML file which is source to all documents
 MASTERXML=pbuilder-doc.xml
-MASTERPOT=pbuilder-doc.po
 HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html pbuilder-doc.de.html
 PDFDOCS = pbuilder-doc.pdf
 
-all: $(MASTERPOT) $(HTMLDOCS) $(PDFDOCS)
+all: $(HTMLDOCS) $(PDFDOCS)
 
 %.html: %.xml pbuilder-doc.xsl
 	xsltproc pbuilder-doc.xsl $< > $@.tmp
@@ -33,9 +32,6 @@
 	install -d -m 755 $(DESTDIR)/usr/share/doc/pbuilder/
 	install -m 644 $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
 	install -m 644 pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/
-
-$(MASTERPOT):
-	po4a-gettextize -f docbook -m $(MASTERXML) -p $(MASTERPOT)
 
 preview: pbuilder-doc.html
 	mozilla-firefox -remote "openfile($(PWD)/$<)"

=== debian/changelog ===
pbuilder (0.231.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * docs: remove the "masterpot" file, that is not serving any purpose.
  * modules: Configure APT with APT::Get::Always-Include-Phased-Updates "true";
    (Closes: #981658)
  * buildpackage: remove duplicated chgrp

  [ Andras Elso ]
  * Additional buildresults should be chowned too

  [ hudeng ]
  * fix: Solve the problem of program entering umount loop caused by umount
    failure.

  [ Mattia Rizzolo ]
  * autopkgtest: minor stylistic improvements.
  * autopkgtest: make build-procenv test as needs-internet
  * pdebuild: Support --source-only-changes in pdebuild-internal
    (Closes: #931580)
  * Log a warning when an expected build result is not found
  * pdebuild: use dpkg-parsechangelog -S instead of using sed
  * pdebuild-internal: build up the source changes filename before using it
  * pdebuild: when in pdebuild-internal mode, look for the build artifacts in
    the right place
  * debconf: recognize https from the host's /etc/apt/sources.list.
    (Closes: #999858)

  [ Akbarkhon Variskhanov ]
  * B91dpkg-i: Install Depends first

  [ Mattia Rizzolo ]
  * Add a dependency on 'mount'. (Closes: #1077037)

 -- Jessica Clarke <jrtc27@debian.org>  Fri, 06 Sep 2024 23:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Jessica Clarke <jrtc27@debian.org>,
@@ -27,6 +26,7 @@
 Depends:
  debootstrap (>= 1.0.97) | cdebootstrap,
  dpkg-dev (>= 1.17.0),
+ mount,
  ${misc:Depends},
 Recommends:
  devscripts,

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 Tests: build-procenv
 Depends: @, distro-info, lsb-release
-Restrictions: needs-root
+Restrictions: needs-root, needs-internet

## pbuilder 0.231.2

=== debian/changelog ===
pbuilder (0.231.2) unstable; urgency=medium

  [ Jessica Clarke ]
  * debconf: Recognise deb822-style sources.
    Based on a patch by Michael Prokop <mika@debian.org>
  * debconf: Handle sources files without terminating newline

  [ Andreas Tille ]
  * Do not Build-Depend: ldp-docbook-xsl (Closes: #1107349)

 -- Jessica Clarke <jrtc27@debian.org>  Mon, 12 Jan 2026 19:30:18 +0000

## pbuilder 0.231.3

=== debian/changelog ===
pbuilder (0.231.3) unstable; urgency=medium

  * pbuilder-checkparams: Use --expand-environment=no to support systemd v258;
    "Referenced but unset environment variable evaluates to an empty string:"
    errors occur otherwise due to its default value changing.
    (Closes: #1125379)

 -- Jessica Clarke <jrtc27@debian.org>  Tue, 13 Jan 2026 20:10:15 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  debconf | debconf-2.0,
  debhelper-compat (= 13),
  docbook-xsl,
- ldp-docbook-xsl,
  po-debconf,
  po4a,
  xsltproc,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
	sed "s#VENDOR=debian#VENDOR=ubuntu#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=devel/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
endif

override_dh_compress:
	dh_compress -X.pdf
